/*******************************************************************************
  Filename:     hal_joystick.h

  Description:  HAL joystick control header file

*******************************************************************************/

#ifndef HAL_JOYSTICK_H
#define HAL_JOYSTICK_H

#ifdef __cplusplus
extern "C" {
#endif

/*******************************************************************************
* INCLUDES
*/
#include "hal_types.h"

/*******************************************************************************
 * CONSTANTS AND DEFINES
 */
enum {
    HAL_JOYSTICK_EVT_UP,
    HAL_JOYSTICK_EVT_DOWN,
    HAL_JOYSTICK_EVT_LEFT,
    HAL_JOYSTICK_EVT_RIGHT,
    HAL_JOYSTICK_EVT_CENTER,
    HAL_JOYSTICK_EVT_PUSHED,
    HAL_JOYSTICK_EVT_MAX,
    HAL_JOYSTICK_EVT_INVALID
};

/*******************************************************************************
 * GLOBAL FUNCTIONS and MACROS
 */

void  halJoystickInit(void);
uint8 halJoystickIntConnect(uint8 event, ISR_FUNC_PTR func);
uint8 halJoystickIntEnable(uint8 event);
void  halJoystickIntDisable(void);
uint8 halJoystickPushed(void);
uint8 halJoystickGetDir(void);


#ifdef  __cplusplus
}
#endif

#endif
/*------------------------------------------------------------------------------
										  0ooo                                     
								ooo0	 (	 )                                     
								(	)	  ) /                                      
								 \ (	 (_/                                       
								  \_)		 Modify By:cuiqingwei [gary]                  
------------------------------------------------------------------------------*/